Runtime

## org.eclipse.gmf.runtime.emf.type.core
Class NullElementMatcher

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.NullElementMatcher

All Implemented Interfaces:
  IElementMatcher

    public class NullElementMatcher

extends java.lang.Object
implements IElementMatcher

Element matcher that matches nothing.

Constructor Summary
`NullElementMatcher()`

Method Summary
`boolean` `matches(org.eclipse.emf.ecore.EObject eObject)` Always returns `false`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullElementMatcher

    public NullElementMatcher()

Method Detail

### matches

    public boolean matches(org.eclipse.emf.ecore.EObject eObject)

  Always returns `false`.

  Specified by:
    `matches` in interface `IElementMatcher`
  Parameters:
    `eObject` - the model element to match
  Returns:
    `true` if I match `eObject`, `false` otherwise.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.